Restore file
Restores a file that has been moved to the trash.
An optional new parent ID can be provided to restore the file to in case the original folder has been deleted.
Authorizations
Path Parameters
Query Parameters
A comma-separated list of attributes to include in the response. This can be used to request fields that are not normally returned in a standard response.
Be aware that specifying this parameter will have the effect that none of the standard fields are returned in the response unless explicitly specified, instead only fields for the mini representation are returned, additional to the fields requested.
Body
Specifies an optional ID of a folder to restore the file to when the original folder no longer exists.
Please be aware that this ID will only be used if the original folder no longer exists. Use this ID to provide a fallback location to restore the file to if the original location has been deleted.
Response
Returns a file object when the file has been restored.
Represents a file restored from the trash.
A numeric identifier that represents the most recent user event that has been applied to this item.
This can be used in combination with the GET /events-endpoint to filter out user events that would have occurred before this identifier was read.
An example would be where a Box Drive-like application would fetch an item via the API, and then listen to incoming user events for changes to the item. The application would ignore any user events where the sequence_id in the event is smaller than or equal to the sequence_id in the originally fetched resource.
"3"
Defines if this item has been deleted or not.
activewhen the item has is not in the trashtrashedwhen the item has been moved to the trash but not deleteddeletedwhen the item has been permanently deleted.
active, trashed, deleted "active"
The shared link for this file. This will be null if a file had been trashed, even though the original shared link does become active again.
null
